Bug 605860 - shutdown process leaves the global serializer spinlock locked
Summary: shutdown process leaves the global serializer spinlock locked
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync   
(Show other bugs)
Version: 6.0
Hardware: All Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 23:58 UTC by Steven Dake
Modified: 2016-04-26 16:47 UTC (History)
2 users (show)

Fixed In Version: corosync-1.2.3-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 22:07:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trunk revision 2949 (694 bytes, patch)
2010-06-19 00:11 UTC, Steven Dake
no flags Details | Diff

Description Steven Dake 2010-06-18 23:58:44 UTC
Description of problem:
The shutdown process leaves the global serializer spinlock locked.  This results in deadlock during shutdown on a single cpu system.

Version-Release number of selected component (if applicable):
corosync-1.2.3-2.el6

How reproducible:
10%

Steps to Reproduce:
1. start corosync -f in single node CPU system (VM suffices)
2. press ctrl-c
3.
  
Actual results:
occasionally system locks up

Expected results:
system should not lockup

Additional info:

Comment 1 RHEL Product and Program Management 2010-06-19 00:03:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Steven Dake 2010-06-19 00:11:37 UTC
Created attachment 425270 [details]
trunk revision 2949

Comment 4 Dean Jansa 2010-08-27 22:01:57 UTC
I ran:
corosync -f
Ctrl-c

(repeat ad  nauseum)

on qa-virt-01, configured with a single CPU and was unable to lockup the system.

Comment 5 releng-rhel@redhat.com 2010-11-10 22:07:13 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.